package cebit.server.idm;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import idman.mngt.*;

public class TestServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws IOException, ServletException {
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		Object o = request.getAttribute("org.ssonet.context");
		if (o != null && o instanceof idman.mngt.Context) {
			Context context = (Context) o; // Context besorgen
			Management idManager = context.getManagement();
            out.println("<html><head><title>Success</title></head><body>");
            try {
                idman.mngt.impl.LocalManagement.debug = true;
                boolean b1 = idManager.isDetectablePartner(context);
                idman.mngt.impl.P3PFilterStream.debug = true;
                boolean b2 = idManager.ensureDetectablePartner(context);
                idman.mngt.impl.LocalManagement.debug = true;
                boolean b3 = idManager.isDetectablePartner(context);
                idman.mngt.impl.P3PFilterStream.debug = true;
                if (b1) {
                    out.println("<h1>Stage 1: Detectable</h1>");
                } else {
                    out.println("<h1>Stage 1: NOT detectable.</h1>");
                }
                if (b2) {
                    out.println("<h1>Stage 2: Detectable</h1>");
                } else {
                    out.println("<h1>Stage 2: NOT detectable.</h1>");
                }
                if (b3) {
                    out.println("<h1>Stage 3: Detectable</h1>");
                } else {
                    out.println("<h1>Stage 3: NOT detectable.</h1>");
                }
            } catch (Exception e) {
                out.println("<br>Error: <pre>");
                e.printStackTrace(out);
                out.println("</pre>");
            }
            out.println("</body></html>");
        } else {
            out.println("<html><head><title>Error</title></head>");
            out.println("<body><h1>Error: no idman</h1></body></html>");
        }
	}
	public static boolean debug = false;

}
